package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 审核节点
 */
@Data
public class AuditNode {

    @ApiModelProperty("主键ID")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("审核ID")
    private Long auditId;

    @ApiModelProperty("节点配置ID")
    private Long nodeId;

    @ApiModelProperty("审批用户")
    private Long auditorUser;

    @ApiModelProperty("审批结果(0:进行中 1:已通过 2:未通过)")
    private Integer auditResult;

    @ApiModelProperty("审批意见")
    private String auditComment;

    @ApiModelProperty("审批时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("删除标记，0正常，1删除")
    private Boolean deleteFlag;

    @ApiModelProperty("节点顺序")
    private int nodeOrder;

}
