package com.jsh.erp.datasource.entities;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 产品价格扩展表实体类
 */
@Data
@TableName("jsh_material_extend")
@Accessors
public class MaterialExtend {

    @ApiModelProperty("主键id")
    @TableId(type = IdType.AUTO)
    private Long id;

    @ApiModelProperty("商品id")
    private Long materialId;

    @ApiModelProperty("sku")
    private String sku;

    @ApiModelProperty("商品单位")
    private String commodityUnit;

    @ApiModelProperty("是否为默认单位，1是，0否")
    private String defaultFlag;

    @ApiModelProperty("创建日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("创建人编码")
    private String createSerial;

    @ApiModelProperty("更新人编码")
    private String updateSerial;

    @ApiModelProperty("更新时间戳")
    private Long updateTime;

    @ApiModelProperty("租户id")
    private Long tenantId;

    @ApiModelProperty("删除标记，0未删除，1删除")
    private String deleteFlag;

    @ApiModelProperty("规格")
    private String standard;

    @ApiModelProperty("颜色")
    private String color;

    @ApiModelProperty("基础重量(kg)")
    private BigDecimal weight;

    @ApiModelProperty("型号")
    private String model;

    @ApiModelProperty("启用 0-禁用  1-启用")
    private Boolean enabled;

    //以下字段去除

    @ApiModelProperty("采购价格")
    private BigDecimal purchaseDecimal;

    @ApiModelProperty("零售价格")
    private BigDecimal commodityDecimal;

    @ApiModelProperty("销售价格")
    private BigDecimal wholesaleDecimal;

    @ApiModelProperty("最低售价")
    private BigDecimal lowDecimal;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    @ApiModelProperty("保质期天数")
    private Integer expiryNum;

    @ApiModelProperty("供应商id")
    private Long supplierId;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("库存")
    private BigDecimal inventory;

    @ApiModelProperty("仓库id")
    private Long depotId;

    @ApiModelProperty("仓位货架")
    private String position;

    @ApiModelProperty("单位比例")
    private Integer ratio;

    @ApiModelProperty("商品条码")
    private String barCode;

    public void setBarCode(String barCode) {
        this.barCode = barCode == null ? null : barCode.trim();
    }

    public void setCommodityUnit(String commodityUnit) {
        this.commodityUnit = commodityUnit == null ? null : commodityUnit.trim();
    }

    public void setSku(String sku) {
        this.sku = sku == null ? null : sku.trim();
    }

    public void setDefaultFlag(String defaultFlag) {
        this.defaultFlag = defaultFlag == null ? null : defaultFlag.trim();
    }

    public void setCreateSerial(String createSerial) {
        this.createSerial = createSerial == null ? null : createSerial.trim();
    }

    public void setUpdateSerial(String updateSerial) {
        this.updateSerial = updateSerial == null ? null : updateSerial.trim();
    }

    public void setDeleteFlag(String deleteFlag) {
        this.deleteFlag = deleteFlag == null ? null : deleteFlag.trim();
    }
}