package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.dto.AuditQueryDTO;
import com.jsh.erp.datasource.entities.Audit;
import com.jsh.erp.datasource.pda.dto.PDADepotHeadDTO;
import com.jsh.erp.datasource.pda.vo.PDADepotHeadVO;
import com.jsh.erp.datasource.vo.AuditVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AuditMapper extends BaseMapperX<Audit> {

    /**
     * 待处理审批列表
     * @return
     */
    List<AuditVo> pendingApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * 待处理审批列表
     * @return
     */
    List<AuditVo> processedApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * 待处理审批列表
     * @return
     */
    List<AuditVo> myApprovalList(AuditQueryDTO auditQueryDTO);

    /**
     * pda复核任务列表
     * @return
     */
    List<PDADepotHeadVO> pdaList(PDADepotHeadDTO pdaDepotHeadDTO);

}
