package com.jsh.erp.datasource.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 盘点任务明细
 */
@Data
@Accessors(chain = true)
public class TaskStocktakingItemVO {

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("任务ID")
    private Long taskStocktakingId;

    @ApiModelProperty("商品名称")
    private String materialName;

    @ApiModelProperty("系统编码")
    private String systemSpu;

    @ApiModelProperty("商品单位")
    private String commodityUnit;

    @ApiModelProperty("库位")
    private String position;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date productionDate;

    @ApiModelProperty("供应商名称")
    private String supplierName;

    @ApiModelProperty("商品编码")
    private String barCode;

    @ApiModelProperty("库存数量")
    private String inventory;

    @ApiModelProperty("仓库名称")
    private String depotName;

    @ApiModelProperty("商品种类名称")
    private String categoryName;

    @ApiModelProperty("商品ID")
    private Long materialItemId;

    @ApiModelProperty("操作人ID")
    private Long creator;

    @ApiModelProperty("操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date operTime;

    @ApiModelProperty("新仓位货架")
    private String newPosition;

    @ApiModelProperty("新库存数")
    private BigDecimal newInventory;

    @ApiModelProperty("差异数量")
    private Integer differenceCount;

    @ApiModelProperty("差异原因")
    private String differenceReason;

    @ApiModelProperty("删除标记，0.未删除，1.已删除")
    private boolean deleteFlag;

    @ApiModelProperty("商品规格")
    private String standard;

    @ApiModelProperty("商品型号")
    private String model;

    @ApiModelProperty("商品颜色")
    private String color;

    @ApiModelProperty("商品品牌")
    private String brand;

    @ApiModelProperty("商品多属性")
    private String sku;

    @ApiModelProperty("商品保质期天数")
    private String expiryNum;

}
