package com.jsh.erp.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.dto.MaterialInputDto;
import com.jsh.erp.datasource.entities.MaterialInput;
import com.jsh.erp.datasource.pda.dto.PDAGoodsInputDTO;

import java.util.List;

public interface MaterialInputService extends IService<MaterialInput> {

    /**
     * PDA货物录入列表
     */
    List<MaterialInput> listBy(PDAGoodsInputDTO pdaInventoryDTO);

    /**
     * 添加商品录入信息
     * @param materialInput
     */
    boolean add(MaterialInput materialInput);

    /**
     * 根据单据号查询商品录入信息详情
     * @param number 录入单号
     */
    MaterialInput getDetailByNumber(String number);

    /**
     * 编辑货物信息录入
     * @param materialInputDto
     */
    boolean updateMaterialInput(MaterialInputDto materialInputDto);

}
