package com.jsh.erp.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jsh.erp.datasource.entities.Msg;
import com.jsh.erp.datasource.entities.MsgEx;
import com.jsh.erp.datasource.pda.vo.PDAMsgListVO;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

public interface MsgService extends IService<Msg> {

    Msg getMsg(long id)throws Exception;

    List<Msg> getMsg()throws Exception;

    List<MsgEx> select(String name)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    int insertMsg(JSONObject obj, HttpServletRequest request)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    int updateMsg(JSONObject obj, HttpServletRequest request) throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    int deleteMsg(Long id, HttpServletRequest request)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    int batchDeleteMsg(String ids, HttpServletRequest request) throws Exception;

    int checkIsNameExist(Long id, String name)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    int batchDeleteMsgByIds(String ids) throws Exception;

    List<MsgEx> getMsgByStatus(String status)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    void batchUpdateStatus(String ids, Integer status) throws Exception;

    Long getMsgCountByStatus(String status)throws Exception;

    Integer getMsgCountByType(String type)throws Exception;

    @Transactional(value = "transactionManager", rollbackFor = Exception.class)
    void readAllMsg() throws Exception;

    /**
     * PDA获取用户消息列表
     */
    List<PDAMsgListVO> pdaMsgList();
}
